node ('master') {
 	timestamps {
		tool name: 'Maven35', type: 'maven'
		tool name: 'Jdk', type: 'jdk'
		env.mvnHome = tool 'Maven35'
		env.JAVA_HOME="${tool'Jdk'}"
		env.PATH="${env.JAVA_HOME}/bin:${env.PATH}"
		maven: 'Maven35'
		stage('Checkout') {
			checkout scm
			echo "Branch is ${env.BRANCH_NAME}"
		}	
		stage('compile') {
			sh "${mvnHome}/bin/mvn compile"
		}
		stage('test') {
			try {
				sh "${mvnHome}/bin/mvn test"
			}
			catch ( err ) {
				echo "Oopsie, we had an error."
			}
			finally {
				junit 'target/surefire-reports/*.xml'
			}
		}
 		stage('git merge') {
                        echo "made it to merge"
                	build job: 'gitmerge', parameters: [[$class: 'StringParameterValue', name: 'BRANCH', value: "${env.BRANCH_NAME}"]]
                }
	}
}


